Virtual Hub Bgp Connections - List Advertised Routes
检索虚拟中心 bgp 连接向指定对等方通告的路由列表。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes?api-version=2025-05-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
connection
|
path | True |
string |
BGP连接的名称。 |
|
hub
|
path | True |
string |
虚拟中心的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| 202 Accepted |
已接受资源作。 标头
|
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
VirtualRouterPeerListAdvertisedRoutes
示例请求
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualRouter1/bgpConnections/peer1/advertisedRoutes?api-version=2025-05-01
示例响应
{
"RouteServiceRole_IN_0": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
],
"RouteServiceRole_IN_1": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}
定义
| 名称 | 说明 |
|---|---|
|
Cloud |
服务的错误响应。 |
|
Cloud |
服务的错误响应。 |
CloudError
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
云错误正文。 |
CloudErrorBody
服务的错误响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的标识符。 代码是固定的,旨在以编程方式使用。 |
| details |
有关错误的其他详细信息的列表。 |
|
| message |
string |
描述错误的消息,旨在适合在用户界面中显示。 |
| target |
string |
特定错误的目标。 例如,错误属性的名称。 |